%if 0%{?rhel} == 7
%define python3_vers python36
%else
%define python3_vers python3
%endif
%global debug_package %{nil}

Name:           python-meteo-hub-cli
Version:        1.0
Release:        1%{?dist}
Summary:	MeteoHub client application

License:        AGPL
URL:            https://gitlab.hpc.cineca.it/mistral/meteo-hub-cli
Source0:        https://gitlab.hpc.cineca.it/mistral/meteo-hub-cli/-/archive/package-rpm/meteo-hub-cli-package-rpm.tar.gz

BuildRequires:  %{python3_vers}-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(requests) >= 2.20.0
BuildRequires:  python3dist(pika) >= 1.0.1


%description
Meteo-hub-cli is a client application that allows users to perform the
main operations on the [MeteoHub](https://meteohub.mistralportal.it)
platform from the command line.

%package -n %{python3_vers}-meteo-hub-cli
Summary:   MeteoHub client application
Requires:  python3dist(requests) >= 2.20.0
Requires:  python3dist(pika) >= 1.0.1

%description -n %{python3_vers}-meteo-hub-cli
Meteo-hub-cli is a client application that allows users to perform the
main operations on the [MeteoHub](https://meteohub.mistralportal.it)
platform from the command line.

%prep
%autosetup -n meteo-hub-cli-package-rpm
#{version}

%build
%py3_build

%install
%py3_install

%check
#%{!?el8:%{__python3} setup.py test}

%files -n %{python3_vers}-meteo-hub-cli
%{python3_sitelib}/*
%{_bindir}/*


%changelog
* Tue Mar 4 2025 DaVide Cesari <dcesari@arpae.it> - 1.0
- Initial package
